<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class ContactUsFilterResource extends JsonResource
{
    public function toArray($request)
    {
        return [
            "id" => $this->id,
            "user_id" => $this->user_id ?? null,
            "role" => $this->user->role ?? null,
            "name" => $this->name,
            "email" => $this->email,
            "image_url" => $this->user->image_url ?? null,
            "subject" => $this->subject,
            "message" => $this->message,
            "reply" => $this->replay,
            "is_seen" => $this->isSeen,
            "is_new" => $this->isNew,
            "is_replied" => $this->isReplied,
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
