<?php

namespace App\Services\Interface;

interface PostCardInterface
{
    public function getCategories();
    public function filter($shop_id);
    public function popularIndex();
    public function recommendedIndex();
    public function show($id);
    public function add($data);
    public function update($post_card, $data);
    public function delete($post_card);
    public function updateRate($card_id);
    public function adminPostCardShow($data);
    public function statusToggle($data);
    public function showReviews($data);
}
