<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('post_cards', function (Blueprint $table) {
            //
            $table->integer('stock')->default(0)->after('price');
            $table->boolean('is_stock')->default(true)->after('stock');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('post_cards', function (Blueprint $table) {
            //
            $table->dropColumn('stock');
            $table->dropColumn('is_stock');
        });
    }
};
