<?php

namespace Database\Seeders;

use App\Models\GeneralInfo;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class GeneralInfoSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        // about-us, terms-and-conditions, privacy-policy
        GeneralInfo::create([ 'type' => "about-us", 'info' => '<h1>About Us</h1>']);
        GeneralInfo::create([ 'type' => "terms-and-conditions", 'info' => '<h1>Terms and Conditions</h1>']);
        GeneralInfo::create([ 'type' => "privacy-policy", 'info' => '<h1>Privacy Policy</h1>']);
    }
}
