<?php

namespace Database\Seeders;

use App\Models\Setting;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class SettingsSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        //
        Setting::create(['type' => "auth_fee", 'value' => 100]);
        Setting::create(['type' => "ship_fee", 'value' => 100]);
        Setting::create(['type' => "coin_value", 'value' => 10]);
        Setting::create(['type' => "referral_point", 'value' => 10]);
        Setting::create(['type' => "is_referral", 'value' => 1]);
        Setting::create(['type' => "user_order_bonus", 'value' => 10]);
        Setting::create(['type' => "refer_user_order_bonus", 'value' => 20]);
        Setting::create(['type' => "bonus_order_limit", 'value' => 100]);
        Setting::create(['type' => "is_order_bonus", 'value' => 1]);
    }
}
