<?php
return [

    //* Controller

    'Home data fetch successfully' => '成功带回家数据',
    'User not found' => '找不到用户',
    'User Deleted' => '用户已删除',

    'Dashboard Information' => '仪表板信息',

    'Order List Found' => '已找到订单清单',

    'Not Authenticated' => '未经证明',
    'Authenticated user fetched' => '身份验证者带来了用户',
    'Wrong refer code' => '不正确参考代码',
    'Reset password option is not available for this user' => '该用户的重置密码选项不可用',
    'User does not exist' => '用户不存在',
    'Already sent OTP' => '已经发送到OTP',
    'OTP Code has been sent to your email' => 'OTP代码已运送到您的电子邮件',
    'OTP Code time expired' => 'OTP代码到期时间',
    'OTP does not match' => 'OTP不匹配',
    'OTP verified' => 'OTP已验证',
    'Reset token does not matched' => '重置令牌不匹配',
    'Password has been changed' => '密码已被更改',
    'User not logged in' => '用户未登录',
    'User successfully logged out' => '用户成功登录',

    'Contact list fetched' => '联系人清单已带来',
    'Contact Info Added' => '联系数据已添加',
    'Contact Updated' => '沟通已更新',
    'Contact not found' => '没有找到联系人',
    'Contact Deleted' => '擦除接触',

    'Contact us form submitted' => '与提交的表格联系',

    'Validation Error' => '合法性错误',
    'User_id and Auth user_id does not match' => 'USER_ID和作者不匹配user_id',
    'User Subscription enabled for this app' => '用户可以订阅此应用程序',
    'User Subscription already enabled for this app' => '此应用程序已经启用了用户订阅',
    'New App added for user' => '为用户添加了新应用',
    'An error occurred' => '发生错误',
    'New notification has been save' => '新通知已保存',
    'Not Found' => '未找到',
    'Notification user id did not match' => '通知与用户ID不匹配',
    'Notification fetched' => '通知',
    'All notification marked as unread' => '所有标记为无人的通知',
    'All notification marked as read' => '所有标记为阅读的通知',


    'Post Card not found' => '未找到明信片',
    'Order Submitted' => '命令',
    'Order not found' => '订单找不到',
    'You are not authorized to rate this order' => '您无权对此订单进行评分',
    'This order is not completed yet' => '该订单尚未完成',
    'Already rated to this order' => '已经在此订单上被评为',
    'Feedback added' => '链接',
    'Order List Found' => '已找到订单清单',


    'No recommended cards' => '没有建议的卡',
    'Post card details fetched' => '带上明信片的详细信息',
    'Post card data is empty' => '明信片数据为空',
    'Category is not found' => '类别不可用',
    'Post Cards Added' => '添加到明信片',
    'Post Card not found' => '未找到明信片',
    'Shop not found' => '找不到商店',
    'Code already taken' => '该代码已经采用',
    'Post Cards Updated' => '明信片已更新',
    'Can not Delete, This card has pending order' => '无法删除，此卡有待处理的订单',
    'Post Cards Deleted' => '明信片已删除',


    'User profile' => '用户资料',
    'Email already taken' => '该电子邮件已经收集',
    'User updated' => '用户已更新',
    'Reset password option is not available for this user' => '该用户的重置密码选项不可用',
    'You have entered a wrong password' => '如果您输入了错误的密码',
    'Old password cannot be new password' => '旧密码不能是新密码',
    'Password changed successfully' => '密码成功更改了',
    'Language changed successfully' => '语言已成功改变',
    'User Deleted' => '用户已删除',
    'Your refer code' => '您的参考代码',


    'Shop list found' => '已找到商店清单',


    //* repository

    'All address list fetched' => '带上所有地址列表',
    'New address added successfully' => '新地址已成功添加',
    'Address not found' => '找不到地址',
    'Unauthorized user' => '未经授权的用户',
    'Address updated successfully' => '该地址已成功更新',
    'Address Book not found' => '找不到地址书',
    'Address book deleted successfully' => '通讯录已成功删除',


    'All category list fetched' => '列入所有类别的列表',
    'New Category added' => '添加到新类别',
    'Category does not found' => '类别不可用',
    'Category updated' => '该类别已更新',
    'Category does not found' => '类别不可用',
    'Category status toggled' => 'tuglod的类别状态',
    'Category has been trashed' => '该部分已经垃圾',
    'New recommended category added' => '已添加了新的建议类别',
    'Recommended category list' => '建议的部分列表',

    'All faq list' => '列出所有常见问题解答',
    'New FAQ added successfully' => '新的常见问题解答已成功添加',
    'Faq not found' => '未发现常见问题解答',
    'FAQ updated successfully' => '常见问题解答已成功更新',
    'FAQ deleted successfully' => '常见问题解答已成功删除',
    'FAQ Status has been updated' => 'FAQ状态已更新',


    'User all favorite card fetched' => '用户带来了所有喜欢的卡',
    'Card has been remove from favorite list' => '该卡已从最喜欢的列表中删除',
    'Card has been mark as favorite' => '该卡已被标记为最爱',


    'Notification List' => '通知列表',


    'Order is not found' => '订单不可用',
    'Something went wrong' => '有问题',
    'Payment Verification failed' => '付款验证失败',
    'Duplicate Payment Id' => '重复的付款ID',
    'Payment verified' => '付款已验证',
    'Payment added' => '添加付款',
    'Order is not in payment status' => '订单不处于付款状态',
    'Payment information not found' => '未找到所支付的信息',
    'Payment is not initialized in this order' => '这不是支付付款的开始',
    'Payment Verification failed' => '付款验证失败',
    'Payment successfully' => '成功付款',
    'Shop order list' => '商店订单清单',
    'Can not take action on this stage' => '在这个阶段无法采取行动',
    'Order status has been updated' => '订单状态已更新',
    'Orders filtered list' => '订单过滤器列表',
    'Recommended card lists' => '拟议的卡列表',

    'Post Card not found' => '未找到明信片',
    'Post card details fetch' => '带来明信片的详细信息',
    'Post Card details show' => '明信片表演',
    'Card not found' => '找不到卡',
    'Post Card status toggled successfully' => '后卡状态成功切换',

    'All fees' => '所有费用',
    'Data updated' => '数据已更新',

    'Boosted Shop List' => '提升商店清单',
    'All boosted shop list' => '列出所有提升商店',
    'Shop is enlisted in the list already' => '商店已经在列表中列出',
    'Shop is added in boosted shop list' => '该商店已添加到Boosted商店清单中',
    'Data is not found' => '数据不可用',
    'Shop is updated in boosted shop list' => '商店在Boosted商店清单上更新',
    'Data is not found' => '数据不可用',
    'Shop is deleted from boosted shop list' => '该商店从Boosted商店清单中删除',

    'Shop added successfully' => '商店已成功添加',
    'All shops information' => '所有商店信息',
    'Shop updated successfully' => '成功更新了购物',
    'Shop has pending orders, unable to delete shop' => '商店有待处理的订单，无法删除商店',
    'Shop deleted successfully' => '成功删除了购物',
    'Shop details' => '商店详细信息',

    'Terms and Condition fetch successfully' => '条件和条件成功带来',
    'Privacy Policy fetch successfully' => '成功地将隐私政策带入',
    'Data updated' => '数据已更新',

    'Invalid Credentials' => '证书',
    'You can not login this app with this account' => '您无法使用此帐户登录此应用',
    'Login Failed, Please try again' => '登录失败。再试一次',
    'Logged in successful, Please verify your account' => 'log -in成功，请验证您的帐户',
    'User profile updated' => '用户配置文件已更新',
    'Settings Changed' => '设置已更改',
    'All Customer list' => '所有客户列表',
    'Customer details' => '顾客信息',
    'User status changed' => '用户的状态已更改',

    'All vouchers list' => '所有优惠券清单',
    'User is not customer' => '用户不是客户',
    'User is not shop' => '用户不存储',
    'New voucher added' => '新的优惠券已添加',
    'Voucher is not exist' => '优惠券不存在',
    'Voucher is expired' => '优惠券已过期',
    'Voucher has been used' => '优惠券已被使用',
    'Voucher is not initial yet' => '优惠券还不是主要的',
    'Voucher limit has been finished' => '优惠券限制已经结束',
    'Invalid voucher' => '非法凭证',
    'Voucher info' => '代金券',
    'Voucher not found' => '没有找到优惠券',
    'Voucher status toggled successfully' => '优惠券状态成功切换',
    'This voucher has been used more then once' => '此优惠券再次使用',
    'Voucher has been deleted successfully' => '凭证已成功删除',
    'Voucher details' => '代金券',
    'Voucher applied' => '使用优惠券',
    'Voucher does not exist' => '优惠券无效',

    // ! new
    'Post card list fetched' => '明信片清单已带来',
    'Login Successful' => '成功登录',
    'Url Not found, Check your URL first' => '找不到URL，首先检查您的URL',
    'Filtered voucher list' => '过滤凭证列表',
    'Information of privacy-policy' => '隐私政策',
    'Information of about-us' => '有关美国的信息',
    'Information of terms-and-conditions' => '条款和条件',
    "No information found!" => "没有信息可用！",
    "User verification id uploaded successfully" => "用户验证ID已成功上传",
    "User verification information updated" => "用户验证信息已更新",
    "User verification information!" => "用户验证信息！",

    "Category index reset" => "类别索引重置",
];
